com.google.gwt.event.logical.shared

## Interface HasValueChangeHandlers<T>

Type Parameters:
  `T` - the value about to be changed

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  HasConstrainedValue<T>, HasValue<T>

All Known Implementing Classes:
  CellWidget, CheckBox, DateBox, DatePicker, DoubleBox, IntegerBox, LongBox, PasswordTextBox, RadioButton, SimpleCheckBox, SimpleRadioButton, SuggestBox, TextArea, TextBox, TextBoxBase, ToggleButton, ValueBox, ValueBoxBase, ValueListBox, ValuePicker

    public interface HasValueChangeHandlers<T>
    extends HasHandlers

A widget that implements this interface is a public source of `ValueChangeEvent` events.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addValueChangeHandler(ValueChangeHandler<T> handler)` Adds a `ValueChangeEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addValueChangeHandler

    HandlerRegistration addValueChangeHandler(ValueChangeHandler<T> handler)

Adds a `ValueChangeEvent` handler.

Parameters:
  `handler` - the handler
Returns:
  the registration for the event